require "#{File.dirname(__FILE__)}/../spec_helper"

describe OVIRT::Client do
  context 'client initialization' do
    it 'should accept no option' do
      OVIRT::Client::new('mockuser','mockpass','http://example.com/api')
    end

    it 'should accept no datacenter_id in options' do
      OVIRT::Client::new('mockuser','mockpass','http://example.com/api', :datacenter_id => '123123')
    end

    it 'should support backward compatibility' do
      OVIRT::Client::new('mockuser','mockpass','http://example.com/api', '123123', '123123', false)
    end

    it 'should support options hash in 4th parameter' do
      OVIRT::Client::new('mockuser','mockpass','http://example.com/api',
                         {:datacenter_id => '123123',
                          :cluster_id    => '123123',
                          :filtered_api  => false,
                          :ca_cert_file  => 'ca_cert.pem'})
    end
  end
end
